> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Anon Audits

> Migrate all anon audits matching this session_token to the current user.



## OpenAPI

````yaml /openapi.json post /api/v1/free-audits/claim
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/free-audits/claim:
    post:
      tags:
        - Free Audits
        - Free Audits
      summary: Claim Anon Audits
      description: Migrate all anon audits matching this session_token to the current user.
      operationId: claim_anon_audits_api_v1_free_audits_claim_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClaimRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ClaimRequest:
      properties:
        session_token:
          type: string
          maxLength: 64
          minLength: 8
          title: Session Token
      type: object
      required:
        - session_token
      title: ClaimRequest
    ClaimResponse:
      properties:
        claimed_brand_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Claimed Brand Ids
        claimed_audit_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Claimed Audit Ids
      type: object
      required:
        - claimed_brand_ids
        - claimed_audit_ids
      title: ClaimResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````